<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.payroll.Payroll" table="PAYROLL" catalog="crov_spa">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <many-to-one name="user" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="user_id" length="36" not-null="true"/>
        </many-to-one>                 
        <property name="salary" type="double" >
            <column name="salary"/>
        </property>
        <property name="imss" type="double" >
            <column name="imss"/>
        </property>
        <property name="bono1" type="double" >
            <column name="bono1"/>
        </property>
        <property name="bono2" type="double" >
            <column name="bono2"/>
        </property>
        <property name="bono3" type="double" >
            <column name="bono3"/>
        </property>
        <property name="abono" type="double" >
            <column name="abono"/>
        </property>
        <property name="increase" type="double" >
            <column name="increase"/>
        </property>
        <property name="descriptionIncrease" type="string">
            <column name="description_increase" length="200" />
        </property>
        <property name="discount" type="double" >
            <column name="discount"/>
        </property>
        <property name="descriptionDiscount" type="string">
            <column name="description_discount" length="200" />
        </property>
        <property name="cajeado" type="double" >
            <column name="cajeado"/>
        </property>
        <property name="adelanto" type="double" >
            <column name="adelanto"/>
        </property>
        <property name="total" type="double" >
            <column name="total"/>
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" not-null="true" sql-type="TINYINT"/>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36" not-null="true"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select" name="location">
            <column length="36" name="id_location" not-null="false"/>
        </many-to-one>
        
        <property name="initDate" type="timestamp">
            <column length="19" name="init_Date"/>
        </property>
        <property name="endDate" type="timestamp">
            <column length="19" name="end_date"/>
        </property>
        <property name="saving" type="double" >
            <column name="saving"/>
        </property>
    </class>
</hibernate-mapping>